Qbundle 2.1.1 crashing on start up after upgrade from 1.9


#1

From the console log:

FO: Initializing Burst Reference Software (BRS) version 2.2.1
Jun 24, 2018 10:17:46 PM org.ehcache.core.EhcacheManager createCache
INFO: Cache ‘account’ created in EhcacheManager.
[SEVERE] 2018-06-24 22:17:51 com.zaxxer.hikari.pool.HikariPool - HikariPool-1 - Exception during pool initialization.
org.h2.jdbc.JdbcSQLException: General error: “java.lang.NullPointerException” [50000-196]
at org.h2.message.DbException.getJdbcSQLException(DbException.java:345)
at org.h2.message.DbException.get(DbException.java:168)
at org.h2.message.DbException.convert(DbException.java:295)
at org.h2.engine.Database.openDatabase(Database.java:307)
at org.h2.engine.Database.(Database.java:270)
at org.h2.engine.Engine.openSession(Engine.java:64)
at org.h2.engine.Engine.openSession(Engine.java:176)
at org.h2.engine.Engine.createSessionAndValidate(Engine.java:154)
at org.h2.engine.Engine.createSession(Engine.java:137)
at org.h2.engine.Engine.createSession(Engine.java:27)
at org.h2.engine.SessionRemote.connectEmbeddedOrServer(SessionRemote.java:354)
at org.h2.jdbc.JdbcConnection.(JdbcConnection.java:116)
at org.h2.jdbc.JdbcConnection.(JdbcConnection.java:100)
at org.h2.Driver.connect(Driver.java:69)
at com.zaxxer.hikari.util.DriverDataSource.getConnection(DriverDataSource.java:117)
at com.zaxxer.hikari.util.DriverDataSource.getConnection(DriverDataSource.java:123)
at com.zaxxer.hikari.pool.PoolBase.newConnection(PoolBase.java:365)
at com.zaxxer.hikari.pool.PoolBase.newPoolEntry(PoolBase.java:194)
at com.zaxxer.hikari.pool.HikariPool.createPoolEntry(HikariPool.java:460)
at com.zaxxer.hikari.pool.HikariPool.checkFailFast(HikariPool.java:534)
at com.zaxxer.hikari.pool.HikariPool.(HikariPool.java:115)
at com.zaxxer.hikari.HikariDataSource.(HikariDataSource.java:81)
at brs.db.sql.Db.init(Db.java:94)


#2

im having problems too. Wallet wont connect to server???


#3

I message Quibus, and he said that after you updated, the new core wallet isn’t able to use your current blockchain database.

You should bootstrap to fix. Qbundle -> Database -> Bootstrap Chain


#4

I have been told refreshing the cache will solve this. (F5)


#5

Thanks.

I have already deleted and done a fresh install. Blockchain downloading from 2014! (no need to use wallet anyway)


#6

@Fenboy If you are using Qbundle, using Bootstrap directly downloads blockchain which is much faster than syncing. You then just have to sync a little bit.


#7

worked a dream, thanks


#8

Awesome! You’re welcome.